configure: add --enable-Werror
[lttng-tools.git] / tests / stress / test_multi_sessions_per_uid_5app_streaming
index eb68107d5d08b55e7f77516cdb7ac8bc99db1e0f..f8a0a4755d2723756a20e0ec4aa9a87ac7b995ba 100755 (executable)
@@ -1,14 +1,9 @@
 #!/bin/bash
 #
-# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
+# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
 #
-# This library is free software; you can redistribute it and/or modify it under
-# the terms of the GNU Lesser General Public License as published by the Free
-# Software Foundation; version 2.1 of the License.  details.
+# SPDX-License-Identifier: LGPL-2.1-only
 #
-# You should have received a copy of the GNU Lesser General Public License
-# along with this library; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
 
 CURDIR=$(dirname $0)/
 TESTDIR=$CURDIR/..
@@ -23,6 +18,7 @@ NR_SESSION=5
 NR_LOOP=1000
 COREDUMP_FILE=$(cat /proc/sys/kernel/core_pattern)
 NUM_TESTS=16
+APPS_PID=
 
 TEST_DESC="Stress test - $NR_SESSION sessions per UID streaming with $NR_APP apps"
 
@@ -39,18 +35,9 @@ function enable_channel_per_uid()
     ok $? "Enable channel $channel_name per UID for session $sess_name"
 }
 
-function lttng_create_session_uri
-{
-       local name=$1
-
-       # Create session with default path
-       $TESTDIR/../src/bin/lttng/$LTTNG_BIN create $name -U net://localhost >/dev/null 2>&1
-       ok $? "Create session on net://localhost"
-}
-
 function check_sessiond()
 {
-       if [ -z "$(pidof lt-lttng-sessiond)" ]; then
+       if [ -z "$(pgrep --full lt-lttng-sessiond)" ]; then
                local str_date=$(date +%H%M%S-%d%m%Y)
 
                diag "!!!The session daemon died unexpectedly!!!"
@@ -64,7 +51,7 @@ function check_sessiond()
 
 function check_relayd()
 {
-       if [ -z "$(pidof lt-lttng-relayd)" ]; then
+       if [ -z "$(pgrep --full lt-lttng-relayd)" ]; then
                local str_date=$(date +%H%M%S-%d%m%Y)
 
                diag "!!!The relay daemon died unexpectedly!!!"
@@ -78,21 +65,17 @@ function check_relayd()
 
 function start_sessiond()
 {
-       local SESSIOND_BIN="lttng-sessiond"
-
        validate_kernel_version
        if [ $? -ne 0 ]; then
                fail "Start session daemon"
                BAIL_OUT "*** Kernel too old for session daemon tests ***"
        fi
 
-       if [ -z $(pidof lt-$SESSIOND_BIN) ]; then
+       if [ -z $(pgrep --full lt-$SESSIOND_BIN) ]; then
                # We have to start it like this so the ulimit -c is used by this
                # process. Also, we collect any error message printed out.
-               $TESTDIR/../src/bin/lttng-sessiond/$SESSIOND_BIN --quiet --consumerd32-path="$TESTDIR/../src/bin/lttng-consumerd/lttng-consumerd" --consumerd64-path="$TESTDIR/../src/bin/lttng-consumerd/lttng-consumerd" >$LOG_FILE_SESSIOND 2>&1 &
+               $TESTDIR/../src/bin/lttng-sessiond/$SESSIOND_BIN --quiet --background --consumerd32-path="$TESTDIR/../src/bin/lttng-consumerd/lttng-consumerd" --consumerd64-path="$TESTDIR/../src/bin/lttng-consumerd/lttng-consumerd" >$LOG_FILE_SESSIOND 2>&1
                status=$?
-               # Wait for sessiond to bootstrap
-               sleep 2
                ok $status "Start session daemon"
        fi
 }
@@ -100,9 +83,8 @@ function start_sessiond()
 function start_relayd
 {
        local opt=$1
-       local RELAYD_BIN="lttng-relayd"
 
-       if [ -z $(pidof lt-$RELAYD_BIN) ]; then
+       if [ -z $(pgrep --full lt-$RELAYD_BIN) ]; then
                $TESTDIR/../src/bin/lttng-relayd/$RELAYD_BIN $opt >$LOG_FILE_RELAYD 2>&1 &
                ok $? "Start lttng-relayd (opt: \"$opt\")"
        fi
@@ -112,25 +94,25 @@ test_stress()
 {
        for b in $(seq 1 $NR_LOOP); do
                for a in $(seq 1 $NR_SESSION); do
-                       lttng_create_session_uri $SESSION_NAME-$a
+                       create_lttng_session_uri $SESSION_NAME-$a net://localhost
                        check_sessiond
                        check_relayd
                        enable_channel_per_uid $SESSION_NAME-$a $CHANNEL_NAME
                        check_sessiond
                        check_relayd
-                       enable_ust_lttng_event $SESSION_NAME-$a $EVENT_NAME
+                       enable_ust_lttng_event_ok $SESSION_NAME-$a $EVENT_NAME
                        check_sessiond
                        check_relayd
-                       start_lttng_tracing $SESSION_NAME-$a
+                       start_lttng_tracing_ok $SESSION_NAME-$a
                        check_sessiond
                        check_relayd
                done
 
                for a in $(seq 1 $NR_SESSION); do
-                       stop_lttng_tracing $SESSION_NAME-$a
+                       stop_lttng_tracing_ok $SESSION_NAME-$a
                        check_sessiond
                        check_relayd
-                       destroy_lttng_session $SESSION_NAME-$a
+                       destroy_lttng_session_ok $SESSION_NAME-$a
                        check_sessiond
                        check_relayd
                done
@@ -142,7 +124,11 @@ test_stress()
 function cleanup()
 {
        diag "Cleaning up!"
-       killall -9 $LAUNCH_APP
+       for p in ${APPS_PID}; do
+               kill -s SIGKILL ${p}
+               wait ${p} 2>/dev/null
+       done
+       APPS_PID=
        stop_lttng_sessiond
        stop_lttng_relayd
 }
@@ -151,10 +137,10 @@ function sighandler()
 {
        cleanup
        rm $LOG_FILE_SESSIOND $LOG_FILE_RELAYD
-       exit 1
+       full_cleanup
 }
 
-trap sighandler SIGINT
+trap sighandler SIGINT SIGTERM
 
 # Make sure we collect a coredump if possible.
 ulimit -c unlimited
@@ -173,6 +159,7 @@ diag "Starting applications launcher"
 
 # Start NR_APP applications script that will spawn apps non stop.
 ./$TESTDIR/stress/$LAUNCH_APP $NR_APP &
+APPS_PID="${APPS_PID} ${!}"
 
 test_stress
 out=$?
This page took 0.025271 seconds and 4 git commands to generate.